Subject: bug#22392: Emacs OS X GUI doesn't set locale

From: Anders Lindgren <[email-masked]>
Date: Tue, 26 Jan 2016 17:58:24 +0100

>
> > Yes, that is why I asked if he had considered that approach. The reason
> I asked
> > was if there was any advantage in setting the LANG variable of the Emacs
> > process itself, or if this only was of interest of subprocesses.
>
> Passing our LANG to subprocesses would be a bad idea, I think.  Emacs
> is not supposed to change the environment of the child processes just
> because it needs that for itself.
>

My mistake. I though the whole point was to set it for subprocesses (for
example, to make "ls" sort file names in the right order). Reading the post
again, I realise that this is not the case.

    -- Anders